
<div class="group" >

  <div class="d-flex  justify-content-between   group__top-section">

    <div class="group__top-section__title">Filter By</div>
    <div><button mat-raised-button class="group__top-section__button" (click)="newTask()"> <img src="assets/plus-button.svg" alt=""> New Task</button> </div>
  </div>

  <div class="group__filter"  >

  <div>
    <mat-form-field  appearance="outline">
      <mat-label>Choose a date</mat-label>
      <input matInput [matDatepicker]="picker" [formControl]="filteredDateCtrl">
       <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>
  </div>
  <div>
    <mat-form-field  appearance="outline">
      <mat-label>Title</mat-label>
      <input [formControl]="searchTextCtrl" matInput>
    </mat-form-field>
  </div>
  <div >
    <mat-form-field appearance="outline"    class="group__filter__autoComplete">
      <mat-label>Select Group</mat-label>
      <mat-chip-grid #chipGrid aria-label="Group selection">
        @for (task of selectedGroup; track $index) {
          <mat-chip-row  (removed)="remove(task)">
            {{ task.name }}
            <button matChipRemove [attr.aria-label]="'remove ' + task">
              <mat-icon>cancel</mat-icon>
            </button>
          </mat-chip-row>
        }

        <input placeholder="Group..." #fruitInput [formControl]="taskCtrl"
          [matChipInputFor]="chipGrid" [matAutocomplete]="auto"
          [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
          (matChipInputTokenEnd)="add($event)"/>
      </mat-chip-grid>
      <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)">
       @for ( task of groups; track $index) {
        <mat-option   [value]="task">
          {{ task.name }}
        </mat-option>
       }

      </mat-autocomplete>
    </mat-form-field>

  </div>
</div>

@for(group of filteredGroup; track $index){

    <div class="d-flex justify-content-between align-content-center">
      <div class="group__name_tag">
       <span class="group__name_tag__name"> {{group.name}}</span>
      </div>
      @if($index==0){
        <div class="group__buttons d-flex flex-row">
          <button class="group__buttons__delete" mat-raised-button color="primary" (click)="deleteMulti()" [disabled]="toggledTasks.length==0">
            <img src="assets/delete-2.svg" alt="">Delete Selected</button>
          <button class="group__buttons__done" mat-raised-button color="primary" (click)="updateMultiStatus()" [disabled]="toggledTasks.length==0"> <img src="assets/tick-1.svg" alt=""> Done</button>
        </div>
      }

    </div>
    <app-tasks-list id="{{ $index}}" [taskList]="group.tasks" [groupId]="group.id"   (deleteTaskEmitter)="deleteTask($event)" (updateStatusEmitter)="updateStatus($event)" (toggledTasksEmitter)="toggleTask($event)"></app-tasks-list>

  }
</div>
